package com.logicbig.example;

import com.logicbig.example.dao.CustomerDao;
import com.logicbig.example.dao.InMemoryCustomerDao;
import com.logicbig.example.dao.JpaCustomerDao;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

@Configuration
public class DataAccessConfig {

    @Bean
    @Profile("local")
    public CustomerDao inMemoryCustomerDao(){
        return new InMemoryCustomerDao();
    }

    @Bean
    @Profile("dev")
    public CustomerDao japCustomerDao(){
        return new JpaCustomerDao();
    }
}